> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Mentions

> Get all posts that menthioned an account

<Check>Supported Platforms:  <Icon icon="youtube" size={20} />  <Icon icon="tiktok" size={20} />  <Icon icon="instagram" size={20} />  <Icon icon="facebook" size={20} />  <Icon icon="x-twitter" size={20} />  <Icon icon="telegram" size={20} /></Check>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "posts": [
      {
        "postDetails": {
          "socialPostID": "68754326c37489b3debb47fc",
          "postID": "S2Jwy1u9Rvk",
          "postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_YT:UCL5eh2LgGhk2Efbr0WWchGg_S2Jwy1u9Rvk?time=1752515366",
          "videoLink": "https://www.youtube.com/watch?v=S2Jwy1u9Rvk",
          "postUrl": "https://www.youtube.com/watch?v=S2Jwy1u9Rvk",
          "dataId": "UCL5eh2LgGhk2Efbr0WWchGg_S2Jwy1u9Rvk",
          "date": "07-06-2025",
          "dateISO": "2025-06-07T11:30:20.000Z",
          "likes": 664,
          "dislikes": 0,
          "comments": 53,
          "rePosts": 0,
          "views": 19473,
          "pollVotes": 0,
          "videoViews": 19473,
          "type": "video",
          "types": [
            "video",
            "text_medium",
            "link",
            "text_hashtag"
          ],
          "hashTags": [
            "28",
            "28",
            "28"
          ],
          "text": "РЕАКЦИЯ на Тик Ток и Ютуб Шортс #28 MrBeast ЛАНДАУ РЕАКЦИЯ на Тик Ток и Ютуб Шортс #28 MrBeast\n\n⭐Фильмы, сериалы, мультфильмы, аниме смотрим здесь:\n► Телега  https://t.me/tribute/app?startapp=s3yp\nили\n► БУСТИ https://boosty.to/landau\n\nВидео из реакции: https://www.youtube.com/@MrBeast/shorts\n\n► НАШ ТЕЛЕГРАМ КАНАЛ https://t.me/landau_yt РЕАКЦИЯ на Тик Ток и Ютуб Шортс #28 MrBeast\n\n⭐Фильмы, сериалы, мультфильмы, аниме смотрим здесь:\n► Телега  https://t.me/tribute/app?startapp=s3yp\nили\n► БУСТИ https://boosty.to/landau\n\nВидео из реакции: https://www.youtube.com/@MrBeast/shorts\n\n► НАШ ТЕЛЕГРАМ КАНАЛ https://t.me/landau_yt",
          "textLength": 624,
          "fromOwner": true,
          "isAd": true,
          "mentions": [
            {
              "name": "MrBeast",
              "url": "https://www.youtube.com/@MrBeast",
              "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/YT:UCX6OQ3DkcsbYNE6H8uQQuVA?time=1755931906",
              "Followers": 424000000
            },
            {
              "name": "ЛАНДАУ💭",
              "url": "https://t.me/landau_yt",
              "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TG:1420611580?time=1754055072",
              "Followers": 20958
            }
          ],
          "mentionsText": [
            "tribute",
            "@MrBeast",
            "landau_yt"
          ]
        },
        "postStats": {
          "interactions": 717,
          "er": 0.00127798374447455,
          "viewsER": 0.0368202126020644,
          "videoViewsER": 0.0368202126020644,
          "indexGrade": -3.16157290093907,
          "mainGrade": "d"
        }
      }
    ],
    "pagination": {
      "currentPage": 1,
      "totalPages": 1,
      "currentResults": 1,
      "totalCount": 1,
      "remaining": 0,
      "hasNextPage": false
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/universal-account-mentions
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/universal-account-mentions:
    get:
      tags:
        - Workflow
      description: Triggers the workflow universal-account-mentions
      operationId: get_wf_universal-account-mentions
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL**
          schema:
            type: string
        - name: month
          in: query
          required: true
          description: >-
            - Date Format: **yyyy-mm-dd**

            - Specify the month you want to retrieve.

            - Posts are collected within a one-month period.

            - Enter the first date of the month you want to collect.

            - To collect posts up to yesterday, enter the first date of the
            current month.

            - The more posts a month contains, the longer it will take to return
            the data.
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: If you would like to include Profile details, set this to `true`
          schema:
            type: boolean
            default: false
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````